Redmine - Defect #5654

Unable to add certain users to groups
2010-06-08 15:02 - Johan van den Berg

Status: Closed Start date: 2010-06-08
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 0.9.3
Description

When trying to add a user to a group, | get a blank screen when doing it from the User screen, and nothing happens when doing it
from the Group screen.

In both cases the following is logged in the production.log file:

Processing GroupsController#add_users (for 10.0.14.29 at 2010-06-08 14:56:33) [POST]

Parameters: {"commit"=>"Add", "action"=>"add_users",
"authenticity_token"=>"QQrf/195gqNE9wbypF9VeVLGE8PG2WXReSJKKTNmrSQ=", "user_ids"=>["30"], "id"=>"5",
user_search"=>""

"controller"=>"groups",

ActiveRecord::RecordInvalid (Validation failed: Project can't be blank):
app/models/group.rb:38:in “user_added'

app/models/group.rb:33:in “user_added'’
app/controllers/groups_controller.rb:112:in “add_users'
/usr/local/ruby-1.8.7/lib/ruby/1.8/webrick/httpserver.rb:104:in “service'
/usr/local/ruby-1.8.7/lib/ruby/1.8/webrick/httpserver.rb:65:in “run’
/usr/local/ruby-1.8.7/lib/ruby/1.8/webrick/server.rb:173:in “start_thread'
/usr/local/ruby-1.8.7/lib/ruby/1.8/webrick/server.rb:162:in “start'
/ust/local/ruby-1.8.7/lib/ruby/1.8/webrick/server.rb:162:in “start_thread'
/usr/local/ruby-1.8.7/lib/ruby/1.8/webrick/server.rb:95:in “start'
/ust/local/ruby-1.8.7/lib/ruby/1.8/webrick/server.rb:92:in “each’
/usr/local/ruby-1.8.7/lib/ruby/1.8/webrick/server.rb:92:in “start’
/usr/local/ruby-1.8.7/lib/ruby/1.8/webrick/server.rb:23:in “start’
/usr/local/ruby-1.8.7/lib/ruby/1.8/webrick/server.rb:82:in “start’

The problem seems to be with the group object, as | can add the same user to another group without issues, and other users that
have no problems with their groups also do not want to be added to the problem group.

Versions:

ruby-1.8.7

rails-2.3.5

mysql-5.0.77
redmine-0.9.3.devel.3612

History

#1 - 2010-06-08 15:11 - Johan van den Berg

| deleted the group and added a new one, and now it works...

#2 - 2010-06-08 23:30 - Felix Schéfer

Can you provide a way to reproduce?

#3 - 2010-06-09 08:46 - Johan van den Berg

Will try my best :) | have a full day of meetings, but will try tomorrow and let you know!
#4 - 2010-06-13 21:26 - Jean-Baptiste Barth

| recently had the same issue (some links missing project identifier) at work with r36xx versions, maybe you could upgrade and confirm this bug is
gone ?
#5 - 2010-06-13 21:36 - Johan van den Berg

| didn't need to upgrade, as simply deleting the group and re-creating it solved the problem. Since | don't have a broken group any more, an upgrade
will not produce any result. If the error happens again though, | will update and comment here again.

#6 - 2010-06-13 22:55 - Felix Schafer
- Status changed from New to Closed

- Resolution set to Cant reproduce

OK, I'll close this and file your issue as a glitch. Please open a new one and link to this issue if it happens again.
